List members for an L2 Segment
GET/v1/l2_segments/{l2_segment_id}/members
L2 Segments consist of members. List them by sending a GET request to /v1/l2_segments/{l2_segment_id}/members. Identify a segment by adding an ID in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
l2_segment_id | stringA unique identifier of an L2 Segment. |
Query Parameters
| Field | Details |
|---|---|
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/l2_segments/46dBXa79/members"[ { "id": "y1aKE8dQ", "title": "member-title", "mode": "native", "vlan": null, "status": "new", "labels": {}, "updated_at": "2026-05-28T06:56:40Z", "created_at": "2026-05-28T06:56:40Z" }, { "id": "9wdLBvaj", "title": "member-title", "mode": "native", "vlan": null, "status": "new", "labels": {}, "updated_at": "2026-05-28T06:56:40Z", "created_at": "2026-05-28T06:56:40Z" }, { "id": "N1aMB1bW", "title": "member-title", "mode": "native", "vlan": null, "status": "new", "labels": {}, "updated_at": "2026-05-28T06:56:40Z", "created_at": "2026-05-28T06:56:40Z" }]